Zum Hauptinhalt springen

4. Encryption and Checksum Specifications (Spezifikationen für Verschlüsselung und Prüfsummen)

4. Encryption and Checksum Specifications (Spezifikationen für Verschlüsselung und Prüfsummen)​

Overview (Überblick)​

Dieser Abschnitt spezifiziert die Verschlüsselungs- und Prüfsummenmechanismen im Kerberos-Protokoll. Kerberos V5 ist so ausgelegt, dass mehrere Verschlüsselungs- und Prüfsummenalgorithmen unterstützt werden können (cryptographic agility).

Key Concepts (Grundbegriffe)​

Encryption Types (Verschlüsselungstypen)​

Kerberos verwendet verschiedene Verschlüsselungsalgorithmen, identifiziert durch Encryption-Type-Nummern (etype). Jeder Verschlüsselungstyp legt fest:

  • den Verschlüsselungsalgorithmus
  • die Schlüsselerzeugung
  • Chiffrenmodi und Parameter

Checksum Types (Prüfsummentypen)​

Integritätsmechanismen werden durch Prüfsummentyp-Nummern (checksum type) bezeichnet. Prüfsummen liefern:

  • Integritätsschutz
  • Erkennung von Manipulation
  • Authentifizierung (wenn schlüsselgebunden)

Cryptographic Requirements (Kryptografische Anforderungen)​

General Principles (Allgemeine Grundsätze)​

  • Alle Verschlüsselung muss klar definierte, registrierte Algorithmen verwenden
  • Schlüssel müssen ordnungsgemäß erzeugt und verwaltet werden
  • Zufallswerte müssen mit kryptografisch starken Zufallszahlengeneratoren erzeugt werden
  • Implementierungen sollten kryptografische Agilität unterstützen

Algorithm Profiles (Algorithmusprofile)​

Jeder mit Kerberos genutzte Verschlüsselungsalgorithmus muss festlegen:

  • Verfahren für Ver- und Entschlüsselung
  • Schlüsselerzeugung aus Passwörtern oder Zufallsdaten
  • Berechnung kryptografischer Prüfsummen
  • Berechnung des Message Integrity Code (MIC)
  • Pseudo-Random Function (PRF) für Schlüsselableitung

Mandatory Implementations (Verbindliche Implementierungen)​

Bestimmte Verschlüsselungstypen sind für die Interoperabilität erforderlich. Konkrete Vorgaben siehe Abschnitt 8.

Key Usage Numbers (Key-Usage-Nummern)​

Unterschiedliche Schlüsselverwendungen im Protokoll werden durch Key-Usage-Nummern unterschieden, damit Schlüssel für einen Zweck nicht für einen anderen wiederverwendet werden können (Vermeidung von Cross-Protokoll-Angriffen).

Cryptographic Profiles (Kryptografische Profile)​

Detaillierte kryptografische Profile sind in separaten Dokumenten definiert (RFC 3961, RFC 3962, RFC 4757 usw.) und werden durch Verweis einbezogen.

Reference (Referenz)​

Vollständige technische Details und Algorithmusspezifikationen: